//
//  MiniDBAppDelegate.m
//  MiniDB
//
//  Created by Holger Hinzberg
//  http://www.cocoa-coding.de/kids 

#import "MiniDBAppDelegate.h"
#import "Person.h"

@implementation MiniDBAppDelegate
@synthesize name;
@synthesize vorname;
@synthesize alter;
@synthesize window;
@synthesize buttonVorherige;
@synthesize buttonNaechste;
@synthesize buttonLetzte;
@synthesize buttonErste;


NSMutableArray *personenArray;

- (void)awakeFromNib
{ 
    personenArray = [[NSMutableArray alloc] init];
    
    Person *neuePerson;
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Müller"];
    [neuePerson setVorname:@"Max"];
    [neuePerson setAlter:32];
    [personenArray addObject:neuePerson];
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Huber"];
    [neuePerson setVorname:@"Hans"];
    [neuePerson setAlter:45];
    [personenArray addObject:neuePerson];
    
    neuePerson = [[Person alloc] init];
    [neuePerson setName:@"Fischer"];
    [neuePerson setVorname:@"Fritz"];
    [neuePerson setAlter:18];
    [personenArray addObject:neuePerson];
    
    indexPosition = 0;
    [self zeigePerson:indexPosition];
}

- (IBAction)klickVorherige:(id)sender
{
    if(indexPosition > 0)
    {
        indexPosition--;
    }
    
    [self zeigePerson:indexPosition];
}

- (IBAction)klickNaechste:(id)sender
{
    int maxPosition = 
       (int)[personenArray count] -1;
    
    if(indexPosition < maxPosition)
    {
        indexPosition++;
    }
    
    [self zeigePerson:indexPosition];
}

- (IBAction)klickErste:(id)sender
{
    indexPosition = 0;
    [self zeigePerson:indexPosition];
}

- (IBAction)klickLetzte:(id)sender
{
    indexPosition = (int)[personenArray count] - 1;
    [self zeigePerson:indexPosition];
}

- (void)zeigePerson:(int)index
{
    Person *einePerson = [personenArray objectAtIndex:index];
    
    [name setStringValue:[einePerson name]];
    [vorname setStringValue:[einePerson vorname]];
    [alter setIntValue:[einePerson alter]];
    
    [self pruefeButton];
}

- (void)pruefeButton
{
    // Überprüfung Button "Vorherige"
    // Überprüfung Button "Erste"
    if(indexPosition == 0)
    {
        [buttonVorherige setEnabled:NO];
        [buttonErste setEnabled:NO];
    }
    else
    {
        [buttonVorherige setEnabled:YES];
        [buttonErste setEnabled:YES];
    }
    
    // Überprüfung Button "Nächste"
    // Überprüfung Button "Letzte"
    if(indexPosition == ((int)[personenArray count] - 1) )
    {
        [buttonNaechste setEnabled:NO];
        [buttonLetzte setEnabled:NO];
    }
    else
    {
        [buttonNaechste setEnabled:YES];
        [buttonLetzte setEnabled:YES];
    }
}

@end
